Summary: Digium FXS/FXO drivers tools
Name: dahdi-tools
Version: 2.4.1
Release: 68%{?dist}
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.asterisk.org/
Source0: http://downloads.digium.com/pub/telephony/%{name}/%{name}-%{version}.tar.gz
BuildRequires: dahdi-linux-devel > 2.0.0
BuildRequires: newt-devel
BuildRequires: libusb-devel
Requires: /sbin/fxload
Obsoletes: zaptel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more.
DAHDI stands for Digium Asterisk Hardware Device Interface. This
package contains the userspace tools to configure the kernel modules
included in the package dahdi-linux.

%lib_package tonezone 1
%lib_package tonezone 2

%devel_extra_Obsoletes zaptel-devel

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initrddir}
make config install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_sbindir}/sethdlc

%clean
rm -rf %{buildroot}

%post 
# Register the dahdi service
/sbin/chkconfig --add dahdi
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
        /sbin/service dahdi stop > /dev/null 2>&1
        /sbin/chkconfig --del dahdi
fi

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE README*
%config(noreplace) %{_sysconfdir}/dahdi/init.conf
%config(noreplace) %{_sysconfdir}/dahdi/modules
%config(noreplace) %{_sysconfdir}/dahdi/system.conf
%config(noreplace) %{_sysconfdir}/dahdi/genconf_parameters
%{_sysconfdir}/modprobe.d/dahdi*
%{_initrddir}/dahdi
%{_sysconfdir}/hotplug
%{_sbindir}/dahdi_*
%{_sbindir}/fpga_load
%{_sbindir}/fxotune
%{_sbindir}/lsdahdi
%{_sbindir}/xpp_sync
%{_sbindir}/xpp_blink
%{_sbindir}/astribank_allow
%{_sbindir}/astribank_hexload
%{_sbindir}/astribank_tool
%{_sbindir}/astribank_is_starting
%{_sbindir}/twinstar
%{_mandir}/man8/dahdi_*.8*
%{_mandir}/man8/fpga_load.8*
%{_mandir}/man8/fxotune.8*
%{_mandir}/man8/lsdahdi.8*
%{_mandir}/man8/xpp_blink.8*
%{_mandir}/man8/xpp_sync.8*
%{_mandir}/man8/astribank_allow.8*
%{_mandir}/man8/astribank_hexload.8*
%{_mandir}/man8/astribank_tool.8*
%{_mandir}/man8/astribank_is_starting.8*
%{_mandir}/man8/twinstar.8*
%{_datadir}/dahdi
%{perl_sitelib}/Dahdi.pm
%{perl_sitelib}/Dahdi

%changelog
* Sat Mar 26 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.4.1-68
- Update to 2.4.1.

* Sun Oct 10 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.4.0-67
- Update to 2.4.0.

* Sun May 23 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.3.0-66
- Update to 2.3.0.

* Thu Apr  1 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.2.1.1-65
- Update to 2.2.1.1.

* Sun Jan 31 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.2.1-64
- Update to 2.2.1.

* Sat Aug 25 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:2.2.0-63
- Added needed deps.

* Sat Aug 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:2.2.0-62
- We need an epoch to ensure proper upgrade paths from zaptel.

* Wed Aug 19 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.2.0-61
- Automate using %%lib_ macros.

* Wed Aug 05 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 2.2.0-60
- Update to dahdi-linux 2.2.0.

* Wed Jan 14 2009 Alexander Bergolth <leo@leo.wu-wien.ac.at> - 2.1.0.2-58leo
- Initial version.
